.home-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.home-cards-container {
    display: grid;
    width: 100%;
    margin: 50px 0;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 162px 162px 162px ;
    @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
    }
    @media (max-width: 1500px) {
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 162px 162px 162px 162px ;
    }
    @media (min-width: 768px) and (max-width: 1024px) {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto ;
    }
    @media (max-width: 767px) {
        grid-template-columns: 1fr;
        grid-template-rows: auto ;  
      }
}

.home-search-container {
  width: 100%;
  display: flex;
  justify-content: center;
  @media (max-width: 768px) {
      margin-top: 100px;
  }
}

.home-search-status-container {
    grid-column: span 4;
    width: 100%;
}

.home-search-status {
    text-align: center;
    color: white;
    letter-spacing: 2px;
    text-shadow: 3px 3px black;
    font-size: 35px;
}

.home-search {
    display: block;
    font-family: 'comic_bookregular';
    font-size: 35px;
    border: 4px solid black;
    box-shadow: 5px 5px black;
    padding: 10px 20px;
    border-radius: 20px;
    max-width: 80%;
    outline: none;
    transition: all ease-in-out .3s;
    &:focus {
        box-shadow: 5px 5px red;
        border-color: red;
    }
}


.home-pagination {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 25px 0;
}

.home-pagination-radio {
    display: none;
    &:checked + .home-pagination-number {
        cursor: default !important;
        color: orange !important;
        border: 2px solid orange !important;
        box-shadow: 3px 3px orange !important;
        &:hover {
            transform: scale(1) !important;
        }
    }
}

.home-pagination-number {
    cursor: pointer;
    font-size: 25px;
    padding: 10px;
    background-color: white;
    border: 2px solid black;
    box-shadow: 3px 3px black;
    border-radius: 5px;
    margin: 0 10px;
    transition: all ease-in-out .3s;
    &:hover {
        transform: scale(1.2);
    }
}

